Subject: Re: [PATCH] netconsole: allow selection of egress interface via MAC address

From: Uday Shankar <[email-masked]>
Date: Mon, 3 Feb 2025 13:29:22 -0700

On Mon, Feb 03, 2025 at 05:12:37AM -0800, Breno Leitao wrote:
> I wanted to check in on the status of this patchset, as I haven't
> received any updates in the past two weeks. I remain enthusiastic about
> this feature and believe it would be a valuable addition to the next
> major merge window.
> 
> If you need any assistance or support, please don't hesitate to reach
> out. I'm more than happy to help.

Hey Breno, thanks for checking in. I've had the functional revisions
(removal of configfs interface) done for some time now, but haven't had
the time to figure out testing - last I checked, it would require a fair
bit of refactoring in libnetcons.sh since we'd have to use the module
parameter interface instead of configfs.

Perhaps it would be okay to merge the functional change first, then
follow up with test later? I'll try to clean up what I have, get a round
of manual testing in, and post it soon.